# ios_ntp – Manages core NTP configuration

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages core NTP configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
acl - |  | ACL for peer/server access restricition.

auth
boolean

Choices:
- no ←
- yes

Enable NTP authentication. Data type boolean.

auth_key - |  | md5 NTP authentication key of tye 7.

auth_pass
string

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes` with `become_pass`.
For more information please see the IOS Platform Options guide.

Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean

Choices:
- no ←
- yes

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes`.
For more information please see the IOS Platform Options guide.

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

key_id - |  | auth_key id. Data type string

logging
boolean

Choices:
- no ←
- yes

Enable NTP logs. Data type boolean.

provider
dictionary

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli`.
For more information please see the IOS Platform Options guide.

A dict object containing connection details.

| auth_pass string |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean

Choices:
- no ←
- yes

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
server - |  | Network address of NTP server.
source_int - |  | Source interface for NTP packets.

state
-

Choices:
- present ←
- absent

Manage the state of the resource.

## Notes

Note

- For more information on using Ansible to manage network devices see the Ansible Network Guide
- For more information on using Ansible to manage Cisco devices see the Cisco integration page.

## Examples

    # Set new NTP server and source interface
    - ios_ntp:
        server: 10.0.255.10
        source_int: Loopback0
        logging: false
        state: present

    # Remove NTP ACL and logging
    - ios_ntp:
        acl: NTP_ACL
        logging: true
        state: absent

    # Set NTP authentication
    - ios_ntp:
        key_id: 10
        auth_key: 15435A030726242723273C21181319000A
        auth: true
        state: present

    # Set new NTP configuration
    - ios_ntp:
        server: 10.0.255.10
        source_int: Loopback0
        acl: NTP_ACL
        logging: true
        key_id: 10
        auth_key: 15435A030726242723273C21181319000A
        auth: true
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | command sent to the device Sample: ['no ntp server 10.0.255.10', 'no ntp source Loopback0']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Federico Olivieri (@Federico87)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.